XLOAD(1)

NUME
xload - afișează media de încărcare a sistemului pentru X

SINOPSIS
xload    [-opțiune-set- instrumente ...] [-scale număr-întreg]
[-update secunde]
        [-hl culoare] [-highlight culoare] [-remote gazda]
        [-jumpscroll pixeli] [-label șir] [-nolabel] [-lights]

DESCRIERE
Programul xload afișează o histogramă cu actualizare periodică a mediei de încărcare a sistemului.

OPȚIUNI

Xload acceptă toate opțiunile standard ale liniei de comandă X Toolkit (a se vedea X(7)). Ordinea opțiunilor nu este importantă. «xload» acceptă, de asemenea, următoarele opțiuni suplimentare:

-hl culoare sau -highlight culoare
    Această opțiune specifică culoarea liniilor de scară.

-jumpscroll pixeli
    Numărul de pixeli pentru a muta graficul la stânga atunci când graficul ajunge la marginea dreaptă a ferestrei. Valoarea implicită este 1/2 din lățimea ferestrei curente. Derularea lină poate fi realizată stabilind-o la 1.

-label șir
    Șirul de pus în etichetă peste media de încărcare.

-nolabel
    Dacă această opțiune de linie de comandă este specificată, atunci nu va fi afișată nicio etichetă deasupra graficului de încărcare.

-lights
    Când este specificată, această opțiune face ca xload să afișeze media curentă de încărcare utilizând LED-urile tastaturii; pentru o medie de încărcare de n, xload aprinde primele led-uri n ale tastaturii. Această opțiune dezactivează afișarea obișnuită a ecranului.

-scale număr-întreg
    Această opțiune specifică numărul minim de marcaje din histogramă, unde o diviziune reprezintă un punct mediu de încărcare. Dacă încărcarea depășește acest număr, xload va crea mai multe diviziuni, dar niciodată nu va folosi mai puține decât acest număr. Valoarea implicită este 1.

-update secunde
    Această opțiune specifică intervalul în secunde la care xload își actualizează afișarea. Timpul minim permis între actualizări este de 1 secundă. Valoarea implicită este 10.

-remote gazda
    Această opțiune îi indică lui xload să afișeze încărcarea gazda în loc de gazda-locală. Xload primește informațiile din baza de date rwhod și, în consecință, necesită ca rwhod să se execute atât pe gazda-locală cât și pe gazda.

RESURSE
În plus față de resursele disponibile pentru fiecare dintre widget-urile utilizate de xload există o resursă definită de aplicația în sine.

showLabel (class Boolean)
    Dacă False, atunci nu va fi afișată nicio etichetă.

WIDGETS
Pentru a specifica resurse, este util să cunoaștem ierarhia widget-urilor care compun xload. În notația de mai jos, indentarea indică structura ierarhică. Numele clasei widget este dat mai întâi, urmat de numele instanței widget.

XLoad  xload
        Paned  paned
                Label  label
                StripChart  load

MEDIU

DISPLAY
    pentru a obține gazda și numărul afișajului implicit.

XENVIRONMENT
    pentru a obține numele unui fișier de resurse care suprascrie resursele globale stocate în proprietatea RESOURCE_MANAGER.

FIȘIERE

/etc/X11/app-defaults/XLoad
    specifică resursele necesare

CONSULTAȚI ȘI
X(7), xrdb(1), mem(4), Athena StripChart Widget.

ERORI
Pe platformele mai vechi, acest program poate necesita capacitatea de a deschide și citi fișierul de sistem special /dev/kmem. Siturile care nu permit accesul general la acest fișier ar putea avea nevoie să facă xload să aparțină aceluiași grup ca /dev/kmem și să activeze fanionul de permisiune set group id.

Citirea mediei de încărcare este în mod inerent non-portabilă. Prin urmare, rutina folosită pentru a-o citi (get_load.c) trebuie adaptată la fiecare nou sistem de operare.

AUTORI
K. Shane Hartman (MIT-LCS) și Stuart A. Malone (MIT-LCS);
cu caracteristici adăugate de Jim Gettys (MIT-Athena), Bob Scheifler (MIT-LCS), Tony Della Fera (MIT-Athena) și Chris Peterson (MIT-LCS).

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.